X2Go Bug report logs - #513
Single application resume depends on virtual desktop.

version graph

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: Jordi Marqués <jordi@amospalla.es>

Date: Thu, 5 Jun 2014 21:20:01 UTC

Severity: normal

Tags: confirmed

Merged with 418, 437

Found in versions 3.5.0.22, 3.5.0.24-0x2go1+git20140508.472+jessie.main.1, 3.5.0.21

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#513; Package nxagent. (Thu, 05 Jun 2014 21:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordi Marqués <jordi@amospalla.es>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 05 Jun 2014 21:20:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Jordi Marqués <jordi@amospalla.es>
To: x2go-dev@lists.x2go.org
Subject: [X2Go-Dev] Single application resume depends on virtual desktop.
Date: Thu, 05 Jun 2014 18:41:23 +0200
Package: nxagent
Version: 3.5.0.24-0x2go1+git20140508.472+jessie.main.1

OS: Debian 7.
Window Manager: openbox.
Application tested: /usr/bin/rxvt.

When suspend/resume a single application, it does not show again if it 
was not on a visible virtual desktop at the time of the suspend 
operation. It does not matter the active virtual desktop at the time of 
resuming, but only when suspending.

Steps to reproduce:

1. Launch a single application (rxvt)
2. Suspend session
3. Resume session (rxvt window appears)
4. Press "Suspend session" button, and before it is actually suspended 
fastly move to another virtual desktop
5. Resume session (rxvt window does not appear)

I have tried with several applications launched from that rxvt console. 
What basically happens is what I describe here. Wmctrl always shows the 
windows when the session is resumed, even when these are not visible. 
Also, wmctrl shows the window is on the virtual desktop where it was 
before being suspended, being it visible or not.

Another example with the following setup:
   - virtual desktop 0: x2goclient, rxvt(single application) and gvim 
launched from rxvt
   - virtual desktop 1: gvim launched from rxvt
   - virtual desktop 2: gvim launched from rxvt
   - virtual desktop 3: gvim launched from rxvt

Initially (second field of wmctrl is virtual desktop)

$ wmctrl -l
0x00e00005  0 X2Go Client
0x010000bc  0 rxvt
0x01000123  3 [No Name] + - GVIM
0x010009fd  2 [No Name] + - GVIM1
0x01001068  1 [No Name] + - GVIM2
0x01001898  0 [No Name] + - GVIM3

After suspend and resume without moving from virtual desktop 0:

0x00e00005  0 X2Go Client
0x010004fb  0 [No Name] + - GVIM3
0x010004fd  0 rxvt
0x010004fe  1 [No Name] + - GVIM2
0x010004ff  2 [No Name] + - GVIM1
0x01000500  3 [No Name] + - GVIM

Here, gvims which where previously moved to virtual desktop 1, 2 and 3 
now doesn't appear on screen, but get listed on wmctrl.
_______________________________________________
x2go-dev mailing list
x2go-dev@lists.x2go.org
http://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#513; Package nxagent. (Fri, 13 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 13 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Message #10 received at 513@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 513@bugs.x2go.org
Subject: Duplicates #418, #437, #513
Date: Fri, 13 Jun 2014 20:45:07 +0000
[Message part 1 (text/plain, inline)]
Control: merge -1 #418
Control: merge -1 #437

Duplicate issues are #418 and #437.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked as found in versions 3.5.0.21. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 513-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Merged 418 513 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 513-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Marked as found in versions 3.5.0.22. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 513-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Merged 418 437 513 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 513-submit@bugs.x2go.org. (Fri, 13 Jun 2014 20:50:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#513; Package nxagent. (Fri, 13 Jun 2014 23:35:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 13 Jun 2014 23:35:03 GMT) Full text and rfc822 format available.

Message #23 received at 513@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 513@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#515: [X2Go-User] "connectedHost" variable contains wrong IP, reason unknown
Date: Sat, 14 Jun 2014 01:22:11 +0200
[Message part 1 (text/plain, inline)]
WaitForRemote(int) is being called by nxagent/x2goagent. Thus, I should be
rather debugging that and not nxproxy...


[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#513; Package nxagent. (Sat, 11 Oct 2014 12:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Michalik <x2go@blackamp.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 11 Oct 2014 12:30:02 GMT) Full text and rfc822 format available.

Message #28 received at 513@bugs.x2go.org (full text, mbox):

From: Daniel Michalik <x2go@blackamp.de>
To: 513@bugs.x2go.org
Subject: Re: Single application resume depends on virtual desktop
Date: Sat, 11 Oct 2014 14:21:54 +0200
I had filed 418, describing the same symptoms. Glad that you managed to
understand the trigger for this behaviour! I'm wondering if anyone has
looked into how this could be fixed?
Kind regards, Daniel


Added tag(s) confirmed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 418-submit@bugs.x2go.org. (Thu, 27 Nov 2014 04:50:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Dec 10 17:27:16 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.